Bug 337111 - Thunderbird crashes on opening certain IMAP messages
Thunderbird crashes on opening certain IMAP messages
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
TB12ReproductionRequest
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-18 01:16 EDT by David Fraser
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 05:50:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb getting a stack trace from the point at which the message is selected (9.25 KB, text/plain)
2007-10-18 01:16 EDT, David Fraser
no flags Details

  None (edit)
Description David Fraser 2007-10-18 01:16:14 EDT
Description of problem:
Certain messages on my IMAP server (Zimbra 4.5.7 on FC6) consistently crash
thunderbird when I select them.

Version-Release number of selected component (if applicable):
thunderbird-2.0.0.5-2.fc7

How reproducible:
Consistently, if you have my IMAP server and messages :-)

Steps to Reproduce:
1. Open Thunderbird
2. Select particular message in Inbox
3. Wait to see message
  
Actual results:
On step 3 Thunderbird crashes with a segfault

Expected results:
See the message :-)

Additional info:
I installed thunderbird-debuginfo and made a traceback with gdb
Comment 1 David Fraser 2007-10-18 01:16:15 EDT
Created attachment 230691 [details]
gdb getting a stack trace from the point at which the message is selected
Comment 2 David Fraser 2007-10-23 09:57:45 EDT
This seems identical to the stacktrace at
http://launchpadlibrarian.net/8899953/gdb-thunderbird-bin.txt attached to
https://bugs.launchpad.net/ubuntu/+source/mozilla-thunderbird/+bug/131557

I couldn't find an equivalent bug on bugzilla.mozilla.org
Comment 3 Matěj Cepl 2008-03-07 17:42:36 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test with the latest
version of Thunderbird (2.0.0.12) now available for your distribution and
provide feedback as to whether the problem still exists so we can file a ticket
upstream as soon as possible.
Comment 4 Matěj Cepl 2008-04-10 05:50:21 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.